Bug 1473029 - [abrt] gnome-software: g_ptr_array_add(): gnome-software killed by signal 11
[abrt] gnome-software: g_ptr_array_add(): gnome-software killed by signal 11
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:efc84622c9b3d67b4cf8f8bf5e1...
:
: 1473694 1474254 1498023 1524508 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-19 17:46 EDT by Peter Greenwood
Modified: 2018-05-29 08:07 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:07:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.54 KB, text/plain)
2017-07-19 17:46 EDT, Peter Greenwood
no flags Details
File: cgroup (195 bytes, text/plain)
2017-07-19 17:46 EDT, Peter Greenwood
no flags Details
File: core_backtrace (18.19 KB, text/plain)
2017-07-19 17:46 EDT, Peter Greenwood
no flags Details
File: cpuinfo (1.13 KB, text/plain)
2017-07-19 17:46 EDT, Peter Greenwood
no flags Details
File: dso_list (16.86 KB, text/plain)
2017-07-19 17:46 EDT, Peter Greenwood
no flags Details
File: environ (1.83 KB, text/plain)
2017-07-19 17:46 EDT, Peter Greenwood
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-19 17:46 EDT, Peter Greenwood
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-19 17:46 EDT, Peter Greenwood
no flags Details
File: maps (75.96 KB, text/plain)
2017-07-19 17:46 EDT, Peter Greenwood
no flags Details
File: open_fds (4.00 KB, text/plain)
2017-07-19 17:46 EDT, Peter Greenwood
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-19 17:46 EDT, Peter Greenwood
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-07-19 17:46 EDT, Peter Greenwood
no flags Details

  None (edit)
Description Peter Greenwood 2017-07-19 17:46:33 EDT
Description of problem:
I noticed an alert on the Cinnamon panel after opening the laptop lid (thereby resuming from suspend). I don't know what caused it beyond that.

Version-Release number of selected component:
gnome-software-3.24.3-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_ptr_array_add
executable:     /usr/bin/gnome-software
journald_cursor: s=ba3f7daea47d463981571c37e8958999;i=1783a;b=4b71bd40e2834580ae1a3f34b4e67da5;m=1320f731fd;t=554a6ec8b9e39;x=64e93b311250b612
kernel:         4.11.9-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_ptr_array_add at garray.c:1393
 #1 gs_app_add_screenshot at gs-app.c:2269
 #2 gs_appstream_refine_add_screenshots at gs-appstream.c:192
 #3 gs_appstream_refine_app at gs-appstream.c:772
 #4 gs_plugin_refine_from_pkgname at gs-plugin-appstream.c:441
 #5 gs_plugin_refine_app at gs-plugin-appstream.c:487
 #6 gs_plugin_loader_call_vfunc at gs-plugin-loader.c:588
 #7 gs_plugin_loader_run_refine_internal at gs-plugin-loader.c:724
 #8 gs_plugin_loader_run_refine at gs-plugin-loader.c:853
 #9 gs_plugin_loader_run_results at gs-plugin-loader.c:939

Potential duplicate: bug 1385696
Comment 1 Peter Greenwood 2017-07-19 17:46:39 EDT
Created attachment 1301423 [details]
File: backtrace
Comment 2 Peter Greenwood 2017-07-19 17:46:41 EDT
Created attachment 1301424 [details]
File: cgroup
Comment 3 Peter Greenwood 2017-07-19 17:46:43 EDT
Created attachment 1301425 [details]
File: core_backtrace
Comment 4 Peter Greenwood 2017-07-19 17:46:44 EDT
Created attachment 1301426 [details]
File: cpuinfo
Comment 5 Peter Greenwood 2017-07-19 17:46:46 EDT
Created attachment 1301427 [details]
File: dso_list
Comment 6 Peter Greenwood 2017-07-19 17:46:48 EDT
Created attachment 1301428 [details]
File: environ
Comment 7 Peter Greenwood 2017-07-19 17:46:49 EDT
Created attachment 1301429 [details]
File: exploitable
Comment 8 Peter Greenwood 2017-07-19 17:46:51 EDT
Created attachment 1301430 [details]
File: limits
Comment 9 Peter Greenwood 2017-07-19 17:46:54 EDT
Created attachment 1301431 [details]
File: maps
Comment 10 Peter Greenwood 2017-07-19 17:46:56 EDT
Created attachment 1301432 [details]
File: open_fds
Comment 11 Peter Greenwood 2017-07-19 17:46:57 EDT
Created attachment 1301433 [details]
File: proc_pid_status
Comment 12 Peter Greenwood 2017-07-19 17:46:59 EDT
Created attachment 1301434 [details]
File: var_log_messages
Comment 13 Adrian 2017-07-21 08:39:54 EDT
*** Bug 1473694 has been marked as a duplicate of this bug. ***
Comment 14 Dmitriy Stepanov 2017-07-24 04:49:21 EDT
*** Bug 1474254 has been marked as a duplicate of this bug. ***
Comment 15 Rafael Reis 2017-10-03 06:45:41 EDT
*** Bug 1498023 has been marked as a duplicate of this bug. ***
Comment 16 Tom Litton 2017-12-11 10:53:57 EST
*** Bug 1524508 has been marked as a duplicate of this bug. ***
Comment 17 Fedora End Of Life 2018-05-03 04:42:41 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2018-05-29 08:07:25 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.